[build-system]
requires = ["setuptools>=42", "wheel"]
build-backend = "setuptools.build_meta"

[project]
name = "lzwcai-demp-tool-server-dify-to-mcp-test"
version = "0.1.2"
description = "这是一个Dify to MCP的集成工具；通过Dify的API接口，将Dify的模型部署到MCP平台，并进行推理。"
requires-python = ">=3.10"
dependencies = [
    "httpx>=0.28.1",
    "mcp>=1.1.2",
    "omegaconf>=2.3.0",
    "pip>=24.3.1",
    "python-dotenv>=1.0.1",
    "requests",
    "pypinyin>=0.54.0",
]

[tool.setuptools]
packages = {find = {where = ["."], include = ["src*"]}}
include-package-data = true

[project.scripts]
lzwcai-demp-tool-server-dify-to-mcp-test = "src.create_mcp:run_main"

[tool.hatch.build.targets.wheel]
packages = ["src"]

[tool.setuptools.package-data]
"*" = ["*.env"]
"src" = ["**/*.env"] 